#include<bits/stdc++.h>
using namespace std;
long long n,t,a[10010],x,dvana[65],fali[65],i,j;
main()
{
    cin>>n;
  dvana[0]=1;
    for(i=1;i<=50;i++)
   dvana[i]=pow(2,i);

    for(i=1;i<=n;i++)
      {
        cin>>a[i];
      for(j=1;j<=40;j++)
      {
          if(fali[j]<dvana[45])
            if(dvana[j-1]-a[i]%dvana[j]>0)
      fali[j]+=dvana[j-1]-a[i]%dvana[j];
      }
      }

sort(fali+1,fali+41);
cout<<fali[1]+1;
return 0;
}